package ru.amse.baltijsky.javascheme.importer;

/**
 * Factory for importers. Creates importers provided the desired importer type (alias).
 */
public interface IImporterFactory {
    /**
     * Creates importer given its type (alias).
     *
     * @param alias the type of the importer to create
     * @return the created importer
     * @throws IllegalArgumentException if the importer type given is unknown
     */
    public IImporter createImporter(String alias) throws IllegalArgumentException;
}
