package ru.amse.baltijsky.javascheme.io.importer.sablecc.java14;

import ru.amse.baltijsky.javascheme.io.importer.sablecc.java14.analysis.DepthFirstAdapter;
import ru.amse.baltijsky.javascheme.io.importer.sablecc.java14.node.ACaseSwitchLabel;
import ru.amse.baltijsky.javascheme.io.importer.sablecc.java14.node.ADefaultSwitchLabel;
import ru.amse.baltijsky.javascheme.io.importer.sablecc.java14.node.PSwitchLabel;

/**
 * Extracts a string representing the condition from the given <code>PSwitchLabel</code>.
 */
class SwitchLabelExtractor extends DepthFirstAdapter {
    private String condition;

    public String getSwitchCondition(PSwitchLabel label) {
        label.apply(this);
        return condition;
    }

    @Override
    public void caseACaseSwitchLabel(ACaseSwitchLabel node) {
        condition = "case " + node.getConstantExpression().toString() + ":";
    }

    @Override
    public void caseADefaultSwitchLabel(ADefaultSwitchLabel node) {
        condition = "default:";
    }
}
