package ru.amse.baltijsky.javascheme.nodeshape;

import ru.amse.baltijsky.javascheme.util.Size;

import java.awt.*;

/**
 * A stub implementation for the nodes that don't have any particular shape.
 */
public class NoShape extends AbstractNodeShape {
    /**
     * Constructs a no-shape without any text.
     */
    public NoShape() {
        super("");
    }

    /**
     * Constructs a shapeless node shape stub with the code that will be ignored.
     *
     * @param code the code of the node, will not be used
     */
    public NoShape(String code) {
        super(code);
    }

    public void draw(int x, int y, Graphics g) {

    }

    public Size getBoundRectSize(Graphics g) {
        return new Size(0, 0);
    }
}
