package ru.amse.baltijsky.javascheme.tree;

/**
 * A special subtype of <code>Node</code> nodes that can have children.
 * May have a label to be used in labeled break and continue statements.
 */

public abstract class NestingNode extends SchemaNode {
    /**
     * Label associated with the node, can be used by labeled break and continue in switches and loops enclosed by
     * the construction represented by this node.
     */
    private String label;

    protected NestingNode() {
    }

    protected NestingNode(SchemaNode parentNode, SchemaNode prevNode) {
        super(parentNode, prevNode);
    }

    protected NestingNode(SchemaNode parentNode, SchemaNode prevNode, String[] s) {
        super(parentNode, prevNode, s);
    }

    protected NestingNode(String[] s) {
        super(s);
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    @Override
    public <T, C, E extends Throwable> T accept(TreeVisitor<T, C, E> visitor, C context) throws E {
        return visitor.visit(this, context);
    }
}
