package ru.amse.baltijsky.javascheme.util;

import java.awt.*;

/**
 * Visualization constants.
 */
public final class VisConst {
    /**
     * Gaps (vertical, horizontal) arounf the visualized nodes.
     * As each gap value is applied to each of the two adjacent nodes, the actual distance between them is twice the
     * corresponding *GAP.
     */
    public static final int XGAP = 5;
    public static final int YGAP = 5;
    /**
     * Maximum allowable length of label in visualized nodes and conditions (in symbols).
     */
    public final static int MAX_LABEL_LENGTH = 20;
    /**
     * Frame characteristics.
     */
    public final static int PREFERRED_SCROLLER_WIDTH = 640;
    public final static int PREFERRED_SCROLLER_HEIGHT = 480;
    public final static int DEFAULT_IMAGE_WIDTH = 640;
    public final static int DEFAULT_IMAGE_HEIGHT = 480;
    public static final Font FONT = new Font(Font.MONOSPACED, Font.PLAIN, 12);
    public static final Color TEXT_COL = Color.BLACK;
    public static final Color SCHEME_COL = Color.BLACK;
    public static final Color SCHEME_FRAME_COL = Color.decode("0xCC5C5C");
}
